Get Activity Summary
curl --request GET \
--url https://api.example.com/api/activity-summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/activity-summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/activity-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uploads": [
{
"dataset_id": "<string>",
"dataset_name": "<string>",
"status": "<string>",
"progress": 123,
"message": "<string>",
"updated_at": "<string>"
}
],
"imports": [
{
"dataset_id": "<string>",
"dataset_name": "<string>",
"status": "<string>",
"provider": "<string>",
"progress": 123,
"message": "<string>",
"updated_at": "<string>"
}
],
"scans": [
{
"id": "<string>",
"dataset_name": "<string>",
"status": "<string>",
"dataset_id": "<string>",
"scan_type": "<string>",
"progress": 0,
"total_issues": 0,
"updated_at": "<string>"
}
],
"healing": [
{
"id": "<string>",
"dataset_id": "<string>",
"dataset_name": "<string>",
"status": "<string>",
"target": "download",
"progress": 0,
"message": "<string>",
"can_stop": false,
"updated_at": "<string>"
}
],
"completed_imports": [
{
"dataset_id": "<string>",
"dataset_name": "<string>",
"status": "<string>",
"provider": "<string>",
"progress": 123,
"message": "<string>",
"updated_at": "<string>"
}
],
"completed_scans": [
{
"id": "<string>",
"dataset_name": "<string>",
"status": "<string>",
"dataset_id": "<string>",
"scan_type": "<string>",
"progress": 0,
"total_issues": 0,
"updated_at": "<string>"
}
],
"completed_healing": [
{
"id": "<string>",
"dataset_id": "<string>",
"dataset_name": "<string>",
"status": "<string>",
"target": "download",
"progress": 0,
"message": "<string>",
"can_stop": false,
"updated_at": "<string>"
}
],
"finalized_count": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}api
Get Activity Summary
GET
/
api
/
activity-summary
Get Activity Summary
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Query Parameters
Cookies
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

